#
#   You can build tin with:
# --define 'domain_name your.domain'
# --define 'default_server default.nntp.server'
#
Summary:	tin News Reader
Summary(de.UTF-8):	tin News-Reader
Summary(fr.UTF-8):	Lecteur de news tin
Summary(pl.UTF-8):	tin - czytnik newsów
Summary(ru.UTF-8):	tin - программа для чтения телеконференций Usenet
Summary(tr.UTF-8):	Haber okuyucu
Summary(uk.UTF-8):	tin - програма для читання телеконференцій Usenet
Name:		tin
Version:	2.0.1
Release:	7
Epoch:		5
License:	distributable
Group:		Applications/News
Source0:	ftp://ftp.tin.org/pub/news/clients/tin/stable/%{name}-%{version}.tar.gz
# Source0-md5:	d05622db1712a78a2b92aa27904befc2
Source1:	%{name}.desktop
Source2:	%{name}.attributes
Patch0:		%{name}-enable_coloring.patch
Patch1:		%{name}-ncurses.patch
Patch2:		%{name}-range.patch
Patch3:		%{name}-charset.patch
URL:		http://www.tin.org/
BuildRequires:	bison
BuildRequires:	gettext-tools
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pcre-devel
BuildRequires:	uudeview-devel
Requires:	urlview
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tin is a full-screen easy to use Netnews reader. It can read news
locally (i.e., /var/spool/news) or remotely (rtin or tin -r option)
via a NNTP (Network News Transport Protocol) server. It will
automatically utilize NOV (News OVerview) style index files if
available locally or via the NNTP XOVER command.

Tin has four separate levels of operation: Group selection level,
Group level, Thread level and Article level. Use the 'h' (help)
command to view a list of the commands available at a particular
level.

%description -l de.UTF-8
Tin ist ein Vollbild-Newsreader. Das Programm kann entweder lokal
(z.B. usr/spool/news) oder entfernt (Option 'rtin' bzw. 'tin -r') über
einen NNTP-Server (Network News Transport Protocol) eingesetzt werden.

%description -l fr.UTF-8
Tin est un lecteur de news plein écran facile à utiliser. Il peut lire
des articles localement (i.e. /usr/spool/news) ou à distance ('rtin'
ou 'tin -r') via un serveur NNTP (Network News Transport Protocol).

%description -l pl.UTF-8
Tin jest pełnoekranowym czytnikiem newsów. Umożliwia czytanie zarówno
z lokalnych zasobów (np. z katalogu /var/spool/news jak i ze zdalnych
(uruchamiając 'rtin' lub 'tin -r') serwerów NNTP (Network News
Transport Protocol).

%description -l ru.UTF-8
Tin - это простая в использовании полноэкранная программа для чтения
телеконференций Usenet. Она может читать телеконференции с локальной
(т.е. /var/spool/news) или удаленной (rtin или опция tin -r) по NNTP
(Network News Transport Protocol).

%description -l tr.UTF-8
Tin, metin ekranda çalışan kolay kullanılır bir USENET haber
okuyucusudur. Haberleri yerel olarak (/usr/spool/news), ya da bir NNTP
sunucusu aracılığıyla uzaktan ('rtin' ya da 'tin -r' seçeneği ile)
okuyabilir.

%description -l uk.UTF-8
Tin - це проста у використанні повноекранна програма для читання
телеконференцій Usenet. Вона дозволяє читати телеконференції як з
локальної машини (тобто /var/spool/news) так і з віддаленої (rtin або
опція tin -r) по NNTP (Network News Transport Protocol).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
LDFLAGS="%{rpmldflags}"
%configure2_13 \
	--disable-debug \
	--enable-color \
	--enable-curses \
	--enable-ipv6 \
	--enable-nls \
	--with-gpg=%{_bindir}/gpg \
	--with-ispell=%{_bindir}/ispell \
	--with-mailer=/usr/lib/sendmail \
	--with-metamail=%{_bindir}/metamail \
	--with-ncurses \
	--with-nov-dir=%{_var}/spool/news \
	--with-pcre \
	--with-screen=ncurses \
	--with-spooldir=%{_var}/spool/news \
	%{?domain_name:--with-domain-name=%{domain_name}} \
	%{?default_server:--with-nntp-default-server=%{default_server}}

%{__make} -C src

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc,etc/tin,%{_bindir},%{_mandir}/man1,%{_mandir}/man5,%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install doc/tin.defaults $RPM_BUILD_ROOT%{_sysconfdir}/tin/tinrc
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/tin/attributes
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/rtin.1
echo ".so tin.1" > $RPM_BUILD_ROOT%{_mandir}/man1/rtin.1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

rm -f $RPM_BUILD_ROOT%{_bindir}/url_handler.sh

# file conflict mmdf between mutt and tin
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/mmdf.5*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README MANIFEST doc/{CHANGES,TODO,DEBUG_REFS,WHATSNEW,*.txt}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/tinrc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/attributes
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/tin.5*
%{_desktopdir}/*.desktop
%changelog
* Mon May 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tin.git;a=log;h=master

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 1a84c97
- icu-57.1 rebuild
- release 7 (by relup.sh)

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> 9d7047b
- release 6 (by relup.sh)

* Mon Jun 01 2015 Elan Ruusamäe <glen@delfi.ee> 0f362f6
- icu rebuild
- release 5 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 29ddabd
- updated gettext BR

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a646912
- release 4 (by relup.sh)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2cc637d
- release 3 (by relup.sh)

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> f3682a1
- rebuild with fixed rpm macros
- release 2 (by relup.sh)

* Sat Sep 22 2012 Jan Rękorajski <baggins@pld-linux.org> ae1211e
- updated to 2.0.1

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c414cd4
- release 6 (by relup.sh)

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 39cd06f
- release 5

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 22f267a
- release 4

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f5f1639
- release 3

* Sun Mar 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c41179
- release 2

* Fri Mar 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 14c1637
- up to 1.9.6

* Fri Mar 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fa84bae
- release 5

* Wed Feb 10 2010 Adam Gołębiowski <adamg@pld-linux.org> c2685eb
- %files fix (pebkac); release 4

* Wed Feb 10 2010 Adam Gołębiowski <adamg@pld-linux.org> 779c2dd
- drop mmdf (5) manpage, keep mutt's version; release 3

* Sun Jan 10 2010 sparky <sparky@pld-linux.org> 83a4de4
- BR: gettext-devel

* Sun Jan 10 2010 marcus <marcus@pld-linux.org> 3f5148e
- added BR: uudeview-devel, fix for pcre

* Tue Sep 22 2009 Elan Ruusamäe <glen@pld-linux.org> 8efd98b
- release 2

